Index: code/branches/buildsystem2/src/ceguilua/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/ceguilua/CMakeLists.txt	(revision 2640)
+++ code/branches/buildsystem2/src/ceguilua/CMakeLists.txt	(revision 2641)
@@ -25,5 +25,5 @@
   ${CEGUILUA_DIR}/CEGUILuaFunctor.cpp
   ${CEGUILUA_DIR}/required.cpp
-  ${CEGUILUA_BINARY_DIR}/lua_CEGUI.cpp
+  ${CEGUILUA_BINARY_DIR}/${CMAKE_CFG_INTDIR}/lua_CEGUI.cpp
 
   ${CEGUILUA_DIR}/CEGUILua.h
Index: code/branches/buildsystem2/src/core/CMakeLists.txt
===================================================================
--- code/branches/buildsystem2/src/core/CMakeLists.txt	(revision 2640)
+++ code/branches/buildsystem2/src/core/CMakeLists.txt	(revision 2641)
@@ -80,5 +80,5 @@
   ${Boost_THREAD_LIBRARY}
   ${Boost_FILESYSTEM_LIBRARY}
-  ${Boost_SYSTEM_LIBRARY}    # MSVC only
+  ${Boost_SYSTEM_LIBRARY}
   ${Boost_DATE_TIME_LIBRARY} # MSVC only
   ${LUA_LIBRARIES}
Index: code/branches/buildsystem2/src/core/LuaBind.cc
===================================================================
--- code/branches/buildsystem2/src/core/LuaBind.cc	(revision 2640)
+++ code/branches/buildsystem2/src/core/LuaBind.cc	(revision 2641)
@@ -38,5 +38,5 @@
 #include <tolua/tolua++.h>
 
-#include "core/ToluaBindCore.h"
+#include "ToluaBindCore.h"
 #include "util/String.h"
 #include "CoreIncludes.h"
Index: code/branches/buildsystem2/src/cpptcl/changes_orxonox.diff
===================================================================
--- code/branches/buildsystem2/src/cpptcl/changes_orxonox.diff	(revision 2640)
+++ code/branches/buildsystem2/src/cpptcl/changes_orxonox.diff	(revision 2641)
@@ -1,4 +1,31 @@
---- cpptcl.cc	Wed Jan 28 20:56:06 2009
-+++ cpptcl.cc	Sat Jan 24 12:52:54 2009
+--- cpptcl.cc	So Feb  8 23:14:34 2009
++++ cpptcl.cc	So Feb  8 23:13:07 2009
+@@ -320,7 +320,7 @@
+ 
+           post_process_policies(interp, pol, objv, false);
+      }
+-     catch (exception const &e)
++     catch (std::exception const &e)
+      {
+           Tcl_SetResult(interp, const_cast<char*>(e.what()), TCL_VOLATILE);
+           return TCL_ERROR;
+@@ -363,7 +363,7 @@
+ 
+           post_process_policies(interp, pol, objv, true);
+      }
+-     catch (exception const &e)
++     catch (std::exception const &e)
+      {
+           Tcl_SetResult(interp, const_cast<char*>(e.what()), TCL_VOLATILE);
+           return TCL_ERROR;
+@@ -430,7 +430,7 @@
+                Tcl_GetString(Tcl_GetObjResult(interp)),
+                object_handler, static_cast<ClientData>(chb), 0);
+      }
+-     catch (exception const &e)
++     catch (std::exception const &e)
+      {
+           Tcl_SetResult(interp, const_cast<char*>(e.what()), TCL_VOLATILE);
+           return TCL_ERROR;
 @@ -858,6 +858,18 @@
       owner_ = true;
Index: code/branches/buildsystem2/src/cpptcl/cpptcl.cc
===================================================================
--- code/branches/buildsystem2/src/cpptcl/cpptcl.cc	(revision 2640)
+++ code/branches/buildsystem2/src/cpptcl/cpptcl.cc	(revision 2641)
@@ -321,5 +321,5 @@
           post_process_policies(interp, pol, objv, false);
      }
-     catch (exception const &e)
+     catch (std::exception const &e)
      {
           Tcl_SetResult(interp, const_cast<char*>(e.what()), TCL_VOLATILE);
@@ -364,5 +364,5 @@
           post_process_policies(interp, pol, objv, true);
      }
-     catch (exception const &e)
+     catch (std::exception const &e)
      {
           Tcl_SetResult(interp, const_cast<char*>(e.what()), TCL_VOLATILE);
@@ -431,5 +431,5 @@
                object_handler, static_cast<ClientData>(chb), 0);
      }
-     catch (exception const &e)
+     catch (std::exception const &e)
      {
           Tcl_SetResult(interp, const_cast<char*>(e.what()), TCL_VOLATILE);
Index: code/branches/buildsystem2/src/orxonox/gui/GUIManager.cc
===================================================================
--- code/branches/buildsystem2/src/orxonox/gui/GUIManager.cc	(revision 2640)
+++ code/branches/buildsystem2/src/orxonox/gui/GUIManager.cc	(revision 2641)
@@ -51,5 +51,5 @@
 #include "core/ConsoleCommand.h"
 #include "core/Core.h"
-#include "core/ToluaBindCore.h"
+#include "ToluaBindCore.h"
 #include "ToluaBindOrxonox.h"
 
Index: code/branches/buildsystem2/src/tolua/lua/package.lua
===================================================================
--- code/branches/buildsystem2/src/tolua/lua/package.lua	(revision 2640)
+++ code/branches/buildsystem2/src/tolua/lua/package.lua	(revision 2641)
@@ -129,5 +129,5 @@
         local header = gsub(flags.H, '^.-([%w_]*%.[%w_]*)$', '%1')
         local package_lower = string.lower(self.name)
-        output('#include "'..package_lower..'/'..header..'"\n')
+        output('#include "'..header..'"\n')
     end
 